summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorormorph <roma251078@mail.ru>2022-05-02 21:29:36 +0300
committerormorph <roma251078@mail.ru>2022-05-02 21:29:36 +0300
commit0f07dfebf5bb87ffb85d5f1047923e95b8deac07 (patch)
treeb953b6130cbc96fb826293989ea4f0d19fa1af11
parenteacbd4712679cdeac38e7e036a8adc26c0038a25 (diff)
downloadtde-packaging-gentoo-0f07dfebf5bb87ffb85d5f1047923e95b8deac07.tar.gz
tde-packaging-gentoo-0f07dfebf5bb87ffb85d5f1047923e95b8deac07.zip
Aded kdbusnotificationHEADmaster
Signed-off-by: ormorph <roma251078@mail.ru>
-rw-r--r--trinity-apps/kdbusnotification/Manifest1
-rw-r--r--trinity-apps/kdbusnotification/kdbusnotification-14.0.12.ebuild18
-rw-r--r--trinity-apps/kdbusnotification/kdbusnotification-9999.ebuild18
-rw-r--r--trinity-apps/kdbusnotification/metadata.xml8
-rw-r--r--virtual/notification-daemon/metadata.xml8
-rw-r--r--virtual/notification-daemon/notification-daemon-0-r1.ebuild27
6 files changed, 80 insertions, 0 deletions
diff --git a/trinity-apps/kdbusnotification/Manifest b/trinity-apps/kdbusnotification/Manifest
new file mode 100644
index 00000000..8db78afa
--- /dev/null
+++ b/trinity-apps/kdbusnotification/Manifest
@@ -0,0 +1 @@
+DIST kdbusnotification-trinity-14.0.12.tar.xz 7912 BLAKE2B b7f3eda1f9d0ce6e63487438d5f0d8bf38e2ca1b365e04bd110e2644aa02685aecb5586c0efc5d6af5123249c16ea6f14a9d0e477dfac886f8ee8af8096b9e2e SHA512 c6ff57dc2559f7b6c1ed3c3e16cde7bb80a07e4efa91129b312162921f1446d3b665f60d38c2a7a1ff1d3ef3294841928ee09ff8802a1e958118218ae7c5734f
diff --git a/trinity-apps/kdbusnotification/kdbusnotification-14.0.12.ebuild b/trinity-apps/kdbusnotification/kdbusnotification-14.0.12.ebuild
new file mode 100644
index 00000000..a35337eb
--- /dev/null
+++ b/trinity-apps/kdbusnotification/kdbusnotification-14.0.12.ebuild
@@ -0,0 +1,18 @@
+# Copyright 2022 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+TRINITY_HANDBOOK="optional"
+
+TRINITY_MODULE_TYPE="applications/system"
+inherit trinity-base-2
+
+DESCRIPTION="DBUS notification service for TDE"
+HOMEPAGE="https://trinitydesktop.org/"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="14"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
diff --git a/trinity-apps/kdbusnotification/kdbusnotification-9999.ebuild b/trinity-apps/kdbusnotification/kdbusnotification-9999.ebuild
new file mode 100644
index 00000000..a35337eb
--- /dev/null
+++ b/trinity-apps/kdbusnotification/kdbusnotification-9999.ebuild
@@ -0,0 +1,18 @@
+# Copyright 2022 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+TRINITY_HANDBOOK="optional"
+
+TRINITY_MODULE_TYPE="applications/system"
+inherit trinity-base-2
+
+DESCRIPTION="DBUS notification service for TDE"
+HOMEPAGE="https://trinitydesktop.org/"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="14"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
diff --git a/trinity-apps/kdbusnotification/metadata.xml b/trinity-apps/kdbusnotification/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-apps/kdbusnotification/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/virtual/notification-daemon/metadata.xml b/virtual/notification-daemon/metadata.xml
new file mode 100644
index 00000000..c73ee2cc
--- /dev/null
+++ b/virtual/notification-daemon/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>freedesktop-bugs@gentoo.org</email>
+ </maintainer>
+ <stabilize-allarches/>
+</pkgmetadata>
diff --git a/virtual/notification-daemon/notification-daemon-0-r1.ebuild b/virtual/notification-daemon/notification-daemon-0-r1.ebuild
new file mode 100644
index 00000000..e7ddab94
--- /dev/null
+++ b/virtual/notification-daemon/notification-daemon-0-r1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Virtual for notification daemon dbus service"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~ia64 ~mips ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+IUSE="gnome kde tde"
+
+RDEPEND="
+ gnome? ( || ( x11-misc/notification-daemon
+ gnome-base/gnome-shell ) )
+ kde? ( kde-plasma/plasma-workspace )
+ tde? ( trinity-apps/kdbusnotification )
+ !gnome? ( !tde? ( !kde? ( || (
+ x11-misc/notification-daemon
+ gnome-extra/cinnamon
+ gui-apps/mako
+ xfce-extra/xfce4-notifyd
+ x11-misc/notify-osd
+ x11-misc/dunst
+ >=x11-wm/awesome-3.4.4[dbus]
+ x11-wm/enlightenment
+ x11-misc/mate-notification-daemon
+ lxqt-base/lxqt-notificationd
+ net-misc/eventd[notification] ) ) ) )"